home chevron_right Documentation chevron_right Services
Config

`Config` is a custom built Fuse service allows to have a granular control over the Fuse. It can be used for changing theme options (layout, color etc.) by component basis.

Usage

export class SomeComponent { config: any; constructor( private _fuseConfigService: FuseConfigService ) { // Fully customizable surroundings for this particular component this._fuseConfigService.config = { layout : { style : 'vertical-layout-1', width : 'fullwidth', navbar : { hidden : false, position : 'left', folded : false, background: 'mat-fuse-dark-700-bg' }, toolbar : { hidden : false, position : 'below-static', background: 'mat-white-500-bg' }, footer : { hidden : false, position : 'below-static', background: 'mat-fuse-dark-900-bg' } }, customScrollbars: true, routerAnimation : 'none' }); } onInit() { // Subscribe to config change this._fuseConfigService.config .subscribe((config) => { this.config = config; }); } }